#
# spec file for package ocaml-mccs
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ocaml-mccs
Version:        1.1+16
Release:        1.1
%{?ocaml_preserve_bytecode}
Summary:        Stripped-down version of mccs with OCaml bindings
License:        LGPL-2.1-only WITH OCaml-LGPL-linking-exception AND BSD-3-Clause AND GPL-3.0-only
Group:          Development/Languages/Other
Url:            https://github.com/AltGr/ocaml-mccs
Source0:        %name-%version.tar.xz
Patch0:         %name.patch
BuildRequires:  gcc-c++
BuildRequires:  ocaml
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-rpm-macros >= 20230101
BuildRequires:  ocamlfind(cudf)

%description
mccs (which stands for Multi Criteria CUDF Solver) is a CUDF problem solver
developed at UNS during the European MANCOOSI project.

%package devel
Summary:        Development files for %name
Group:          Development/Languages/Other
Requires:       %name = %version

%description devel
This package contains development files for %name.

%prep
%autosetup -p1

%build
dune_release_pkgs='mccs'
%ocaml_dune_setup
%ocaml_dune_build

%install
%ocaml_dune_install
%ocaml_create_file_list

%check
%ocaml_dune_test

%files -f %name.files
%doc README.md

%files devel -f %name.files.devel

%changelog
* Fri Jul  7 2023 ohering@suse.de
- Update to version 1.1+16
  * No changelog provided.
* Mon Jun 13 2022 ohering@suse.de
- Update to version 1.1+14
  * No changelog provided.
* Fri Apr  9 2021 ohering@suse.de
- Require current ocaml-rpm-macros
- Update to version 1.1+13:
  * No changelog provided.
- Fix build with ocaml-mccs.patch
* Fri Nov  1 2019 ohering@suse.de
- Require current dune macros
- Update to version 1.1+10:
  * No changelog provided.
* Mon Sep 30 2019 ohering@suse.de
- use dune macros from ocaml-rpm-macros
* Tue Feb 19 2019 andy@onthewings.net
- Install missing file (libmccs_stubs.a).
* Mon Feb 18 2019 andy@onthewings.net
- Update to version 1.1+9:
  * No changelog provided.
- Fix license to be proper SPDX.
- Replace jbuilder references to dune.
* Fri Jun  1 2018 antoine.belvire@opensuse.org
- Update to version 1.1+8:
  * No changelog provided.
- Add _service file to retrieve sources.
* Mon Mar  5 2018 andy@onthewings.net
- Use %%license.
* Wed Jan 31 2018 antoine.belvire@opensuse.org
- Update to version 1.1~5:
  * No changelog provided.
* Wed Dec  6 2017 antoine.belvire@opensuse.org
- Initial package: ocaml-mccs 1.1~4.
